---
title: Supported object types
category: reference
order: 20
---

Type   | Description   | Supported
:------------ | :------------ | ------------:
ACID | Checkpoint Group | Yes
AMSD | Logical Database Schema | Yes
AOBJ | Archiving Object | [#804](https://github.com/abapGit/abapGit/issues/804)
AREA | InfoArea | Yes
ASFC | Field Catalog | Yes
ASIS | Archiving Information Structure | [#1579](https://github.com/abapGit/abapGit/issues/1579)
AUTH | Authorization Check Fields | Yes
AVAR | Activation Variants for Assertions and Breakpoints | Yes
AVAS | Classification | Yes
BDEF | Behaviour Definition | Yes
BMFR | Application Component | [#2108](https://github.com/abapGit/abapGit/issues/2108)
BOBF | BOPF: Business Object Model | [#165](https://github.com/abapGit/abapGit/issues/165)
CHAR | Object characteristic | Yes
CHDO | Change Document Object | Yes
CLAS | Class (ABAP Objects) | Yes
CMOD | Customer enhancement projects | Yes
CMPT | Code Composer Template | Yes
CUS0 | Customizing IMG Activity | Yes
CUS1 | Customizing Transactions | Yes
CUS2 | Customizing Attributes | Yes
DCLS | ABAP Data Control Language Sources | Yes
DDLS | Data Definition Language Source | Yes
DDLX | CDS metadata extension | Yes
DEVC | Package | Yes
DIAL | Dialog Module | Yes
DOCT | General Text | Yes
DOCV | Documentation (Independent) | Yes
DOMA | Domain | Yes
DRUL | Dependency Rule | Yes
DSYS | Chapter of a Book Structure | Yes
DTDC | Dynamic Cache | Yes
DTEL | Data Element | Yes
ECAT | eCATT Test Script | Yes
ECSD | eCATT System Data Container | Yes
ECSP | eCATT Start Profile | Yes
ECTC | eCATT Test Configuration | Yes
ECTD | eCATT Test Data Container | Yes
ECVO | eCATT Validation Object | Yes
ENHC | Composite Enhancement Implementation | Yes
ENHO | Enhancement Implementation | Yes
ENHS | Enhancement Spot | Yes
ENQU | Lock Object | Yes
ENSC | Composite Enhancement Spot | Yes
FDT0 | FDT/BRFplus: System Application | [#33](https://github.com/abapGit/abapGit/issues/33)
FDT1 | FDT/BRFplus: Customizing Application | [#33](https://github.com/abapGit/abapGit/issues/33)
FORM | SAPscript form | Yes
FTGL | Feature Toggle | Yes
FUGR | Function Group | Yes
FUGS | Function Group with Customer Include: SAP Part | [#2851](https://github.com/abapGit/abapGit/issues/2851)
FUGX | Function Group with Customer Include: Customer Part | [#2851](https://github.com/abapGit/abapGit/issues/2851)
G4BA | SAP Gateway OData V4 Backend Service Group & Assigments | Yes
G4BS | SAP Gateway OData V4 Backend Service | Yes
IAMU | Language-Independent IAC Binary Data | Yes
IARP | Parameters of IAC Language Resource | Yes
IASP | Parameters of an IAC service | Yes
IATU | Language-Independent IAC Templates | Yes
IAXU | ITS: XML Templates for HTML Templates | Yes
IDOC | IDoc Type | Yes
IEXT | Enhancement | Yes
INTF | Interface (ABAP objects) | Yes
IOBJ | BW: InfoObject | Yes
IWMO | Gateway Business Suite Enablement - Model | Yes
IWOM | Gateway: Model Metadata | Yes
IWPR | Gateway Business Suite Enablement - Service Builder Project | Yes
IWSG | Gateway: Service Groups Metadata | Yes
IWSV | Gateway Business Suite Enablement - Service | Yes
IWVB | SAP Gateway Business Suite Enablement -Vocabulary Annotation | Yes
JOBD | Technical Job Definition | Yes
LPDC | Launchpad short texts | [#107](https://github.com/abapGit/abapGit/issues/107)
MSAG | Message Class | Yes
NROB | Number Range Objects | Yes
NSPC | Namespace in R/3 Repository | Yes
OA2P | OAuth2 Profile | Yes
ODSO | DataStore Object | Yes
OTGR | Object type group | Yes
PARA | SPA/GPA Parameters | Yes
PDAC | Standard Rule | [#3914](https://github.com/abapGit/abapGit/issues/3914)
PDTG | Task Group | [#3915](https://github.com/abapGit/abapGit/issues/3915)
PDTS | Standard Task | partial - [#4164](https://github.com/abapGit/abapGit/issues/4164)
PDWS | Workflow templates | [#154](https://github.com/abapGit/abapGit/issues/154)
PERS | Personalization object | Yes
PINF | Package interface | Yes
PRAG | Pragma in ABAP Source Code | Yes
PROG | Program | Yes
SAJC | Application job catalog entry | [#1580](https://github.com/abapGit/abapGit/issues/1580)
SAJT | Application job template | [1581](https://github.com/abapGit/abapGit/issues/1581)
SAMC | ABAP Messaging Channels | Yes
SAPC | ABAP Push Channels | Yes
SCP1 | BC Set or Customizing Profile | Yes
SCVI | Screen Variants | Yes
SFBF | Business Function + Assignment | Yes
SFBS | Business Function Set + Assignment | Yes
SFPF | Form Object: Form | Yes
SFPI | Form Object: Interface | Yes
SFSW | Switch + Assignment of Objects to the Switch | Yes
SHI3 | General structure storage: Definition of a structure | Yes
SHI5 | Gen. hierarchy storage extrension name | Yes
SHI8 | SFW Switch Assignment in Hierarchy Tool | Yes
SHLP | Search Help | Yes
SHMA | Shared Objects: Defined Area Attributes | Yes
SICF | ICF Service | Yes
SMIM | Info Object from the MIME Repository | Yes
SMTG | OM: Email Template | Yes
SOTS | All Concepts (OTR) of a Package - Long Texts | Yes
SPLO | Format Types | Yes
SPPF | Page Format | Yes
SPRX | Proxy Object | Yes
SQSC | Database Procedure Proxy | Yes
SRFC | RFC Service | Yes
SRVB | Service Binding | Yes
SRVD | Service Definition | Yes
SSFO | SAP Smart Form | Yes
SSST | SAP Smart Style | Yes
STVI | Transaction Variants | Yes
STYL | SAPscript style | Yes
SUCU | Authorization Groups (TBRG_AUTH) | Yes
SUSC | Authorization object class | Yes
SUSH | Assignment: Service --> Authorization Objects | Yes
SUSO | Authorization object | Yes
SXCI | Business Add-Ins - Implementations | Yes
TABL | Table | Yes
TOBJ | Definition of a Maintenance and Transport Object | Yes
TRAN | Transaction | Yes
TTYP | Table Type | Yes
TYPE | Type Group | Yes
UCSA | Unified Connectivity Service Assembly | Yes
UDMO | Data model | Yes
UENO | Entity type | Yes
VCLS | View cluster | Yes
VIEW | View | Yes
W3HT | Web Reporting/Internet Transaction Server HTML Templates | Yes
W3MI | Web Reporting/Internet Transaction Server MIME Types(binary | Yes
WAPA | BSP (Business Server Pages) Application | Yes
WDCA | Web Dynpro Application Configuration | Yes
WDCC | Web Dynpro Component Configuration | Yes
WDYA | Web Dynpro Application | Yes
WDYN | Web Dynpro Component | Yes
WEBI | Virtual End Point | Yes
XINX | Extension Index | Yes
XSLT | Transformation | Yes

If additional object types are required please open an [issue](https://github.com/abapGit/abapGit/issues)

Support for customizing planned, see [#1004](https://github.com/abapGit/abapGit/issues/1004)

Also see [https://github.com/abapGit/abapGit-Plugins](https://github.com/abapGit/abapGit-Plugins)
